/* XBlast 2.5.3 level */
/* File: Castle.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/SiliconValley/Park/4696/ */
/* Version: 20.2.1998 */
static BMPosition Castle_Del[] = { 
  {3,5}, {3,9}, {5,4}, {5,10}, {7,4}, {7,10},
  {4,3}, {4,4}, {4,6}, {4,7}, {4,8}, {4,10}, {4,11} };
static BMLevelData Castle =
{
  /* BMLevel */
  {
    "Castle",
    "Stn",
    "xblast.useCastle",
    "Every Castle Has A Secret Corridor",
    GM_234_Player | GM_All,
    (void *) &Castle,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    { 8*GAME_TIME/14, 13, Castle_Del, },
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_RC,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    3, 
    2,
    {
      {  3,  4 },
      {  3, 10 },
      {  3,  6 },
      {  3,  8 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "city_free", "Black", "Coral", "SteelBlue" },
      { "city_free_S", "Black", "Coral", "SteelBlue" },
      { "city_rip", "Black", "SteelBlue", "Coral" },
      { "city_rip_R", "Black", "LightSteelBlue", "Coral" },
      { "light_house", "Black", "SteelBlue", "Black" },
      { "light_house_O", "Black", "SteelBlue", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowNone, DEall,
    { 16, 48, 48, 48, 48 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,X,X,_,_,_,X,s,_,_,_,B, },
      { B,_,_,_,X,_,B,s,B,_,_,X,B, },
      { B,X,X,B,B,_,_,X,s,X,B,s,B, },
      { B,_,_,_,B,B,B,B,B,_,_,X,B, },
      { B,_,X,B,B,_,s,X,B,X,s,_,B, },
      { B,_,_,_,B,X,B,X,_,_,B,s,B, },
      { B,X,X,B,B,q,B,s,X,B,B,X,B, },
      { B,_,_,_,B,X,B,X,_,_,B,s,B, },
      { B,_,X,B,B,_,s,X,B,X,s,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,X,B, },
      { B,X,X,B,B,_,_,X,s,X,B,s,B, },
      { B,_,_,_,X,_,B,s,B,_,_,X,B, },
      { B,_,X,X,_,_,_,X,s,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
