/* XBlast 2.5.3 level */
/* File: Cross_Of_Doom.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/SiliconValley/Park/4696/ */
/* Version: 20.3.1998 */
static BMPosition Cross_Of_Doom_Del[] = {
  {6,6}, {6,8}, {5,7}, {7,7} };
static BMPosition Cross_Of_Doom_Draw[] = {
  {3,3}, {3,4}, {3,10}, {3,11},
  {9,3}, {9,4}, {9,10}, {9,11}, };
static BMLevelData Cross_Of_Doom =
{
  /* BMLevel */
  {
    "Cross Of Doom",
    "Stn",
    "xblast.useCrossOfDoom",
    "Choose The Right Direction For Your Bombs",
    GM_Random | GM_234_Player | GM_All,
    (void *) &Cross_Of_Doom,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    { 3*GAME_TIME/4, 8, Cross_Of_Doom_Draw, },
    { 3*GAME_TIME/5, 4, Cross_Of_Doom_Del, },
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    5, 1,
    {
      {  3,  1 },
      { 11,  4 },
      {  1, 10 },
      {  9, 13 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_anticlockwise, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "chess_floor",    "Black", "LightBlue", "RoyalBlue" },
      { "chess_floor_S",  "Black", "LightBlue", "RoyalBlue" },
      { "book_shelf",     "Black", "LightBlue", "CornflowerBlue" },
      { "book_shelf",     "Black", "LightBlue", "CornflowerBlue" },
      { "chess_sphere",   "Black", "LightBlue", "OrangeRed" },
      { "chess_sphere_O", "Black", "LightBlue", "OrangeRed" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "check",        "Black", "White", "Gray50" },
    },
  },
  /* BMMapData */
  {
    ShadowFull, DEall,
    { 1, 2, 41, 41, 43 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,B,_,_,_,B,r,X,_,B, },
      { B,_,_,s,X,_,B,_,B,X,X,_,B, },
      { B,X,X,_,B,_,_,_,B,_,_,_,B, },
      { B,r,X,_,B,_,_,_,B,_,s,_,B, },
      { B,B,B,B,B,r,X,r,B,B,X,B,B, },
      { B,_,_,_,r,X,B,X,r,_,_,_,B, },
      { B,_,B,_,X,B,B,B,X,_,B,_,B, },
      { B,_,_,_,r,X,B,X,r,_,_,_,B, },
      { B,B,X,B,B,r,X,r,B,B,B,B,B, },
      { B,_,s,_,B,_,_,_,B,_,X,r,B, },
      { B,_,_,_,B,_,_,_,B,_,X,X,B, },
      { B,_,X,X,B,_,B,_,X,s,_,_,B, },
      { B,_,X,r,B,_,_,_,B,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
