/* XBlast 2.5.3 level */
/* File: Drop_Kick.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/SiliconValley/Park/4696/ */
/* Version: 3.12.1998 */
static BMPosition Drop_Kick_Del[] = {
  {6,3}, {6,11}, {6,7}, {4,5}, {4,9}, {8,5}, {8,9} };
static BMLevelData Drop_Kick =
{
  /* BMLevel */
  {
    "Drop & Kick",
    "Stn",
    "xblast.useDropKick",
    "Kick the bombs but don't hurt your toe",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Drop_Kick,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    { GAME_TIME/2, 7, Drop_Kick_Del, },
  },
  /* BMFuncData */
  {
    special_init_special_bombs_30,
    special_game_void,
    special_extra_special_bomb,
    special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    5, 25,
    {
      {  1,  2 },
      {  1,  4 },
      {  1,  6 },
      {  1,  8 },
      {  1, 10 },
      {  1, 12 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_none, bomb_click_none,
    GoDown, FUSElong,
    BMTnormal, BMTnapalm, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "PaleGoldenRod", "Blue" },
      { "iron_floor_S", "Black", "PaleGoldenRod", "Blue" },
      { "dark_block", "Black", "ForestGreen", "Gray80" },
      { "dark_block_R", "Black", "SpringGreen", "White" },
      { "extra", "Black", "Firebrick", "Black" },
      { "extra", "Black", "Firebrick", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "SteelBlue", "SteelBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowExtra, DEall,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,_,B,_,B,_,B,_,B,_,B, },
      { B,_,B,_,_,_,B,_,_,_,B,_,B, },
      { B,_,B,_,B,_,B,_,B,_,B,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,B,_,B,_,B,_,B,_,B,_,B, },
      { B,_,B,_,_,_,B,_,_,_,B,_,B, },
      { B,_,B,_,B,_,B,_,B,_,B,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,B,_,B,_,B,_,B,_,B,_,B, },
      { B,_,B,_,_,_,B,_,_,_,B,_,B, },
      { B,_,B,_,B,_,B,_,B,_,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
