/* XBlast 2.5.3 level */
/* File: Fourfold.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/SiliconValley/Park/4696/ */
/* Version: 4.9.1998 */
static BMPosition Fourfold_Del[] = {
  {1,7}, {11,7}, {6,2}, {6,12},
  {2,7}, {10,7}, {6,3}, {6,11},
  {6,4}, {6,10}, 
  {6,6}, {6,8},  {5,7}, {7,7},};
static BMPosition Fourfold_Draw[] = {
  {4,7}, {8,7}, };
static BMLevelData Fourfold =
{
  /* BMLevel */
  {
    "Fourfold",
    "Stn",
    "xblast.useFourfold",
    "Slow Motion",
    GM_2_Player | GM_4_Player | GM_All,
    (void *) &Fourfold,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    { 3*GAME_TIME/4, 2, Fourfold_Draw, },
    { 1*GAME_TIME/4, 14, Fourfold_Del, },
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_kick,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    1, 35,
    {
      {  3,  3 },
      {  9, 11 },
      {  3, 11 },
      {  9,  3 },
    },
    PM_Same, 0,
    IllSlow, IllSlow, IF_RC,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_dark",   "Black", "OrangeRed",      "DarkBlue" },
      { "karo_dark_S", "Black", "OrangeRed",      "DarkBlue" },
      { "wall",        "Black", "LimeGreen", "ForestGreen" },
      { "wall_R",      "Black", "LimeGreen", "Yellow" },
      { "chest",       "Black", "Gold",    "SlateBlue" },
      { "chest_O",     "Black", "Gold",    "SlateBlue" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "Black", "White", "Gray50" },
    },
  },
  /* BMMapData */
  {
    ShadowExtra, DEall,
    { 20, 20, 40, 48, 48 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,_,_,_,_,B,_,_,_,_,X,B, },
      { B,_,X,_,s,_,B,_,s,_,X,_,B, },
      { B,_,s,X,X,B,B,B,X,X,s,_,B, },
      { B,_,s,X,X,_,B,_,X,X,s,_,B, },
      { B,_,X,B,_,X,B,X,_,B,X,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,X,B,_,X,B,X,_,B,X,_,B, },
      { B,_,s,X,X,_,B,_,X,X,_,_,B, },
      { B,_,s,X,X,B,B,B,X,X,_,_,B, },
      { B,_,X,_,s,_,B,_,s,_,X,_,B, },
      { B,X,_,_,_,_,B,_,_,_,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
