/* XBlast 2.5.3 level */
/* File: Spooky.h */
/* Author: Stephan Natschlaeger */
/* Homepage: http://www.stnspages.com/xblast/xblast.shtml */
/* Version: 24.8.2000 */
static BMPosition Spooky_Del[] = {
  {4,6}, {5,6}, {6,7},{6,8}, {7,8}, {7,9}, {8,9} };
static BMLevelData Spooky =
{
  /* BMLevel */
  {
    "Spooky",
    "Stn",
    "xblast.useSpooky",
    "Be a Ghost",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Spooky,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    { 3*GAME_TIME/5, 7, Spooky_Del, },
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_ghost,
    special_key_void,
  },
  /* BMPlayerData */
  {
    1,  2,
    {
      {  1,  1 },
      {  1, 13 },
      { 11, 13 },
      { 11,  1 },
      {  1,  7 },
      { 11,  7 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_thru,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "karo_light",   "Black", "RosyBrown", "Tan" },
      { "karo_light_S", "Black", "RosyBrown", "Tan" },
      { "pyramid",     "Black", "Goldenrod", "DarkSeaGreen" },
      { "pyramid_R", "Black", "Goldenrod", "DarkSeaGreen" },
      { "extra",       "Black", "Sienna",    "Orange" },
      { "extra_O",     "Black", "Sienna",    "Orange" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_GHOST,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowExtra, DEall,
    { 15, 30, 31, 55, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,X,_,B,_,X,X,X,_,_,B, },
      { B,_,_,B,_,B,_,X,X,X,_,_,B, },
      { B,X,X,X,X,B,B,B,B,X,X,X,B, },
      { B,_,_,X,X,B,_,_,B,B,B,B,B, },
      { B,_,_,X,X,B,_,X,X,X,X,_,B, },
      { B,B,B,B,B,B,B,X,_,X,_,_,B, },
      { B,_,_,X,_,_,B,X,_,_,X,_,B, },
      { B,_,X,X,_,_,X,B,B,B,B,B,B, },
      { B,_,_,X,X,X,X,B,X,X,_,_,B, },
      { B,B,B,B,B,_,_,B,X,X,_,_,B, },
      { B,X,X,X,B,B,B,B,X,X,X,X,B, },
      { B,_,_,X,X,X,_,B,_,B,_,_,B, },
      { B,_,_,X,X,X,_,B,_,X,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
