/* XBlast 2.5.3 level */
/* File: Ypsilon.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/SiliconValley/Park/4696/ */
/* Version: 22.5.1998 */
static BMPosition Ypsilon_Del[] = {
  {3,4}, {9,4}, {3,10},{9,10}, {6,3}, {6,11} };
static BMLevelData Ypsilon =
{
  /* BMLevel */
  {
    "Ypsilon",
    "Stn",
    "xblast.useYpsilon",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Ypsilon,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    { 9*GAME_TIME/15, 6, Ypsilon_Del, },
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_kick,
    special_key_void,
  },
  /* BMPlayerData */
  {
    3, 2,
    {
      {  2,  4 },
      { 11,  4 },
      {  6,  2 },
      {  2, 10 },
      { 11, 10 },
      {  6, 12 },
    },
    PM_Same, 0,
    Healthy, Healthy, 
    IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "button_floor",   "Black", "Gray75",    "Black" },
      { "button_floor_S", "Black", "Gray75",    "Black" },
      { "dark_block",     "Black", "Yellow", "DarkTurquoise" },
      { "dark_block_R", "Black", "Yellow", "DarkTurquoise" },
      { "box",           "Black", "Yellow", "Red" },
      { "box",           "Black", "HotPink", "Red" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor",    "Red",   "Red",       "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowExtra, DEall,
    { 20, 45, 60, 60, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,X,b,X,_,_,_,X,b,X,B,B, },
      { B,X,X,X,X,B,_,B,B,X,X,X,B, },
      { B,_,B,_,_,_,B,_,_,_,B,_,B, },
      { B,_,_,B,B,_,B,_,B,B,_,_,B, },
      { B,_,B,_,_,X,_,X,_,_,B,_,B, },
      { B,X,X,_,_,_,_,_,_,_,X,X,B, },
      { B,b,X,_,X,_,B,_,X,_,X,b,B, },
      { B,X,X,_,_,_,_,_,_,_,X,X,B, },
      { B,_,B,_,_,X,_,X,_,_,B,_,B, },
      { B,_,_,B,B,_,B,_,B,B,_,_,B, },
      { B,_,B,_,_,_,B,_,_,_,B,_,B, },
      { B,X,X,X,B,B,_,B,X,X,X,X,B, },
      { B,B,X,b,X,_,_,_,X,b,X,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
