/* XBlast 2.5.3 level */
/* File: Clockwise.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/SiliconValley/Park/4696/ */
/* Version: 19.2.1998 */
static BMPosition Clockwise_Draw[] = { 
  {5,6}, {5,8}, {7,6}, {7,8}, };
static BMLevelData Clockwise =
{
  /* BMLevel */
  {
    "Clockwise",
    "Stn",
    "xblast.useClockwise",
    "Kick And Beam",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Clockwise,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    { GAME_TIME/2, 4, Clockwise_Draw, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_teleport,
    special_key_teleport,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      {  1,  2 },
      {  1, 12 },
      { 11, 12 },
      { 11,  2 },
      {  6,  4 },
      {  6, 10 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_clockwise, bomb_click_clockwise, bomb_click_clockwise,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "dark_way",    "Black",     "SpringGreen",     "Tomato" },
      { "dark_way_S",  "Black",     "SpringGreen",     "Tomato" },
      { "r_i_p",       "BLack",     "firebrick1",       "SpringGreen" },
      { "r_i_p_R",     "Black",     "firebrick1",       "SpringGreen" },
      { "pumpkin",     "Black",     "LightGoldenrod", "SpringGreen" },
      { "pumpkin_O",   "Black",     "LightGoldenrod", "SpringGreen" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BEAM,
      { "score_floor", "Black",     "Black",     "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowFull, DEall,
    { 15, 40, 45, 58, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,_,X,_,_,B,_,_,X,_,X,B, },
      { B,_,_,B,B,_,X,_,B,B,_,_,B, },
      { B,X,B,B,_,X,_,X,_,B,B,X,B, },
      { B,_,B,_,X,_,_,_,X,_,B,_,B, },
      { B,_,_,X,B,X,_,X,B,X,_,_,B, },
      { B,_,X,_,X,X,X,X,X,_,X,_,B, },
      { B,B,_,_,_,X,B,X,_,_,_,B,B, },
      { B,_,X,_,X,X,X,X,X,_,X,_,B, },
      { B,_,_,X,B,X,_,X,B,X,_,_,B, },
      { B,_,B,_,X,_,_,_,X,_,B,_,B, },
      { B,X,B,B,_,X,_,X,_,B,B,X,B, },
      { B,_,_,B,B,_,X,_,B,B,_,_,B, },
      { B,X,_,X,_,_,B,_,_,X,_,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
