/* XBlast 2.5.3 level */
/* File: Minesweeper.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/stn77/xblast/blast.html */
/* Version: 19.4.2000 */
static BMLevelData Minesweeper =
{
  /* BMLevel */
  {
    "Minesweeper",
    "Stn",
    "xblast.useMinesweeper",
    "",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Minesweeper,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_teleport,
  },
  /* BMPlayerData */
  {
    3, 1,
    {
      {  1,  1 },
      {  1, 13 },
      { 11, 13 },
      { 11,  1 },
      {  1,  7 },
      { 11,  7 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Teleport || IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTmine,
  },
  /* BMGraphicsData */
  {
    {
      { "hex", "Black", "ForestGreen", "Red" },
      { "hex", "Black", "ForestGreen", "Red" },
      { "hex_wall", "Black", "ForestGreen", "RoyalBlue" },
      { "hex_extra", "Black", "ForestGreen", "RoyalBlue" },
      { "hex_extra", "Black", "ForestGreen", "Gold" },
      { "hex_extra_O", "Black", "ForestGreen", "Gold" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BEAM,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowFull, DEall,
    { 5, 10, 15, 15, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,X,_,X,_,X,_,_,_,B, },
      { B,_,B,X,B,X,B,X,B,X,B,_,B, },
      { B,_,X,_,X,_,X,_,X,_,X,_,B, },
      { B,X,B,X,B,X,B,X,B,X,B,X,B, },
      { B,_,X,_,X,_,X,_,X,_,X,_,B, },
      { B,_,B,X,B,X,B,X,B,X,B,X,B, },
      { B,_,_,_,X,_,X,_,X,_,_,_,B, },
      { B,X,B,X,B,X,B,X,B,X,B,_,B, },
      { B,_,X,_,X,_,X,_,X,_,X,_,B, },
      { B,X,B,X,B,X,B,X,B,X,B,X,B, },
      { B,_,X,_,X,_,X,_,X,_,X,_,B, },
      { B,_,B,X,B,X,B,X,B,X,B,_,B, },
      { B,_,_,_,X,_,X,_,X,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
