/* XBlast 2.5.3 level */
/* File: Rhombus.h */
/* Author: Stephan Natschlaeger (stn77@yahoo.com) */
/* Homepage: http://www.geocities.com/SiliconValley/Park/4696/ */
/* Version: 19.11.1998 */
static BMLevelData Rhombus =
{
  /* BMLevel */
  {
    "Rhombus",
    "Stn",
    "xblast.useRhombus",
    "Rock Around The Clock",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Rhombus,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_speed_spiral,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_ignite_all,
    special_key_void,
  },
  /* BMPlayerData */
  {
    2, 5,
    {
      {  1,  1 },
      { 11, 13 },
      {  1, 13 },
      { 11,  1 },
      {  1,  7 },
      { 11,  7 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_clockwise, bomb_click_anticlockwise, bomb_click_none,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTfungus,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "LightYellow", "Blue" },
      { "iron_floor_S", "Black", "Lightyellow", "Blue" },
      { "dark_block", "Black", "Salmon", "SpringGreen" },
      { "dark_block_R", "Black", "Green", "Red" },
      { "bricks", "Black", "SkyBlue", "Black" },
      { "brick_O", "Black", "LightSkyBlue", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
      { "score_floor", "Black", "Black", "Black" },
    },
  },
  /* BMMapData */
  {
    ShadowExtra, DEget,
    { 10, 20, 30, 37, 42 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,B,_,B,_,_,_,_,B, },
      { B,_,_,X,B,_,_,_,B,X,_,_,B, },
      { B,_,X,X,X,_,X,_,X,X,X,_,B, },
      { B,_,B,X,_,_,X,_,_,X,B,_,B, },
      { B,B,X,X,X,X,_,B,_,X,X,B,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,B,X,X,B,X,X,B,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,B,X,X,_,B,_,X,X,X,X,B,B, },
      { B,_,B,X,_,_,X,_,_,X,B,_,B, },
      { B,_,X,X,X,_,X,_,X,X,X,_,B, },
      { B,_,_,X,B,_,_,_,B,X,_,_,B, },
      { B,_,_,_,_,B,_,B,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
