/* XBlast 2.5.3 level */
/* File: Touch.h */
/* Author: Stephan Natschlaeger */
/* Homepage: http://www.stnspages.com/xblast/xblast.shtml */
/* Version: 24.8.2000 */
static BMPosition Touch_Del[] = {
   {5,4}, {5,10}, {7,4}, {7,10}, {5,7} ,
   {4,4}, {4,10}, {8,4}, {8,10}, {4,7} };
static BMLevelData Touch =
{
  /* BMLevel */
  {
    "Touch",
    "Stn",
    "xblast.useTouch",
    "Touch 'em",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Touch,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_compound,
    SCRAMBLE_VOID,
    { 8*GAME_TIME/14, 10, Touch_Del, },
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_evil_grail,
    special_key_void,
  },
  /* BMPlayerData */
  {
    2, 3,
    {
      {  1, 13 },
      { 11, 13 },
      {  1,  1 },
      { 11,  1 },
      {  4,  5 },
      {  6,  9 },
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Airpump,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTdestruction,
  },
  /* BMGraphicsData */
  {
    {
      { "hex", "Black", "Yellow", "ForestGreen" },
      { "hex", "Black", "Yellow", "ForestGreen" },
      { "hex_wall", "Black", "Yellow", "RoyalBlue" },
      { "hex_extra", "Black", "Yellow", "RoyalBlue" },
      { "hex_extra", "Black", "Yellow", "White" },
      { "hex_extra_O", "Black", "Yellow", "White" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowNone, DEall,
    { 20, 35, 50, 50, 60 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,X,B,_,_,X,_,_,_,B, },
      { B,_,X,X,X,_,X,_,X,X,X,_,B, },
      { B,X,X,X,X,_,_,X,X,X,B,X,B, },
      { B,_,_,B,B,B,B,B,_,B,B,X,B, },
      { B,_,_,X,_,_,_,X,X,_,B,X,B, },
      { B,X,X,B,_,X,X,X,X,_,_,_,B, },
      { B,B,X,B,B,B,B,X,X,_,_,_,B, },
      { B,X,X,B,X,X,_,X,X,_,_,_,B, },
      { B,_,_,X,_,_,_,X,X,_,B,X,B, },
      { B,_,_,B,B,B,B,B,_,B,B,X,B, },
      { B,X,X,X,X,_,_,X,X,X,B,X,B, },
      { B,_,X,X,X,_,X,_,X,X,X,_,B, },
      { B,_,_,_,X,B,_,_,X,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
